Hi,

I installed ndiswrapper on Mandrake 9.2 for my wpc54g
wireless card and am using KDE. I had ndiswrapper
working perfectly, but then I was tinkering with the
network settings and now I cannot get it to work.

What I tried:

I created a link: ln -s /usr/src/linux
/lib/modules/2.4.2-10mdk

I ran ./install.sh and the program installed without a
hitch.

Then I tried to run the following script (which had
worked previously):

ifdown wlan0
modprobe ndiswrapper
# /usr/local/bin/loadndisdriver 14e4 4320 \
/usr/sbin/loadndisdriver 14e4 4320 \
/usr/local/ndiswrapper/*.sys \
/usr/local/ndiswrapper/*.inf


exit

The error I get:

[root@Goblin ndiswrapper]# wifiup
/lib/modules/2.4.22-10mdk/misc/ndiswrapper.o:
kernel-module version mismatch
/lib/modules/2.4.22-10mdk/misc/ndiswrapper.o was
compiled for kernel version 2.4.22-28mdkcustom
while this kernel is version 2.4.22-10mdk.
modprobe: insmod
/lib/modules/2.4.22-10mdk/misc/ndiswrapper.o failed
modprobe: insmod ndiswrapper failed
Cannot find minor for kernel module. Module loaded?


So, it looks like ndiswrapper.o was compiled with the
wrong kernel, but how do I compile it with the correct
one? ...also, why do I have two kernel compilers at all:
shouldn't there be just one?

Thanks!

Ian